package cn.yw.log.smslog.dao;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;
import javax.annotation.PostConstruct;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;
import com.ibatis.sqlmap.client.SqlMapClient;

import cn.base.dao.BaseSqlMapDAO;

@Repository("ywalarmsmslogDao")
public class YwalarmsmslogDao  extends BaseSqlMapDAO{


	/**
	 * 增加记录
	 */
	/*
	public void insert_Ywalarmsmslog(Map map) throws SQLException{
		this.insert("insert_Ywalarmsmslog",map);
	}
	*/
	
	/**
	 * 批处理增加记录
	 */
	/*
	public void batch_insert_Ywalarmsmslog(List batch) throws SQLException{
		this.insert("batch_insert_Ywalarmsmslog",batch);
	}
	*/
	 
	/**
	 * 修改记录
	 */
	/*
	public Integer update_Ywalarmsmslog(Map map) throws SQLException{
		return this.update("update_Ywalarmsmslog",map);
	}
	*/
	
	/**
	 * 删除记录
	 */
	/*
	public Integer delete_Ywalarmsmslog(Map map) throws SQLException{
		return this.delete("delete_Ywalarmsmslog",map);
	}
	*/
	
	/**
	 * 批处理删除记录
	 */
	
	/*
	public Integer batch_delete_Ywalarmsmslog(Map map) throws SQLException{
		return this.delete("batch_delete_Ywalarmsmslog",map);
	}
	*/
	
	/**
	 * 查询总数
	 */
	public Integer count_Ywalarmsmslog(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Ywalarmsmslog",map);
	}
	
	/**
	 * 查询列表记录
	 */
	public List<Map> query_Ywalarmsmslog(Map map) throws SQLException{
		return this.queryForPage("query_Ywalarmsmslog",map);
	}
	
	/**
	 * 查询列表记录
	 */
	/*
	public Map get_Ywalarmsmslog(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Ywalarmsmslog",map);
	}
	*/
}
